package com.qmth.boot.tools.uuid;

import java.util.UUID;
import java.util.concurrent.ThreadLocalRandom;

/**
 * 快速UUID生成工具
 */
public class FastUUID {

    /**
     * 快速UUID字符串生成，并自动去除所有中划线
     *
     * @return
     */
    public static String get() {
        ThreadLocalRandom random = ThreadLocalRandom.current();
        UUID uuid = new UUID(random.nextInt(), random.nextInt());
        return uuid.toString().replaceAll("-", "");
    }

}
